net.corda.node.services.statemachine

## Class FlowStateMachineImpl.Companion

- net.corda.node.services.statemachine.FlowStateMachineImpl.Companion

- Enclosing class:
    FlowStateMachineImpl<R>

      public static class FlowStateMachineImpl.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowStateMachineImpl<?>` | `currentStateMachine()` Return the current `class FlowStateMachineImpl` or null if executing outside of one.

- - ### Method Detail

    - #### currentStateMachine

          public FlowStateMachineImpl<?> currentStateMachine()

      Return the current `class FlowStateMachineImpl` or null if executing outside of one.

      See Also:
        `class FlowStateMachineImpl`